Zum Inhalt springen

Mail forwards

Zuletzt aktualisiert am

Mail forwards route incoming emails to an external email address without requiring a dedicated mailbox.

You list all active mail redirects for a specific zone.

URL: GET /api/v1/organizations/{organizationId}/dns-zones/{dnsZoneId}/mail-forwards

You create a new mail redirect.

URL: POST /api/v1/organizations/{organizationId}/dns-zones/{dnsZoneId}/mail-forwards [cite: 1496]

You update the settings of an existing email redirect. This allows you to change the source address (mailbox prefix) or the target email address.

URL: PATCH /api/v1/organizations/{organizationId}/dns-zones/{dnsZoneId}/mail-forwards/{dnsMailForwardId}

Request Body:

{
"fromPostBoxAddress": "support",
"toPostBoxAddress": "neues-team@stackit.de"
}

You remove a specific email redirect permanently from a DNS zone. Deleting the redirect immediately stops the forwarding of emails for the defined address or the catch-all .

URL: DELETE /api/v1/organizations/{organizationId}/dns-zones/{dnsZoneId}/mail-forwards/{dnsMailForwardId}

Response (Deleted successfully):

204 No Content